%global forgeurl https://github.com/pothosware/SoapyVOLKConverters
%global tag soapy-volk-converters-%{version}

Name:           SoapyVOLKConverters
Version:        0.1.1
Release:        2%{?dist}
Summary:        A SoapySDR support module that registers type converters implemented in VOLK 

%forgemeta

License:        GPLv3
URL:            %{forgeurl}/wiki
Source0:        %{forgesource}

# Tools
BuildRequires:  cmake
BuildRequires:  gcc-c++
# Libraries
BuildRequires:  SoapySDR-devel
BuildRequires:  volk-devel

%description
This Soapy module adds vectorized numeric conversion functions, providing more
efficient conversions in many cases than with stock SoapySDR. Once this module
is installed, nothing more needs to be done; Soapy modules that use SoapySDR's
converter infrastructure will automatically default to these new converters.


%prep
%forgesetup


%build
%cmake
%cmake_build


%install
%cmake_install

%check
%ctest


%files
%license COPYING
%{_libdir}/SoapySDR/modules0.8/libvolkConverters.so


%changelog
* Thu Dec 29 2022 Dave Olsthoorn <dave@bewaar.me> - 0.1.1-2
- rebuilt

* Sat Jun 25 2022 Dave Olsthoorn <dave@bewaar.me> - 0.1.1-1
- initial specfile

